﻿-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: Damage")

L:RegisterTranslations("enUS", function() return {
	["Damage done"] = true,
	["D"] = true,
} end)

--Chinese Translate by Ananhaid(NovaLOG)@CWDG
--CWDG site: http://Cwowaddon.com
L:RegisterTranslations("zhCN", function() return {
	["Damage done"] = "造成伤害",
	["D"] = "伤害(D)",
} end)

L:RegisterTranslations("zhTW", function() return {
	["Damage done"] = "造成傷害",
	["D"] = "傷害(D)",
} end)

L:RegisterTranslations("koKR", function() return {
	["Damage done"] = "입힌 피해량",
} end)

L:RegisterTranslations("frFR", function() return {
	["Damage done"] = "Dégâts infligés",
	["D"] = "D",
} end)

-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local moduleName = "Damage done"
local roster = AceLibrary("Roster-2.1")
local parserEvent = {
	eventType = "Damage",
	sourceID_not = false,
}


-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule(moduleName)
mod.revision = tonumber(("$Revision: 49446 $"):sub(12, -3)) or 1
mod.version = 5
mod.violationCategory = "damage"

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleEnable()
	self:RegisterParserEvent( parserEvent, "OnParserEvent" )
end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------

function mod:GetDisplayName() return L["Damage done"] end
function mod:GetShortDisplayName() return L["D"] end

function mod:OnParserEvent( info )
	local source, victim, amount = self:GetSourceVictimAmount(info)
	
	if Violation:IsAnonymousPetEvent(info) then
		source = self.playerName
	end

	if not source or amount == 0 or not self:AcceptDataFor(source) then
		return
	end

	-- We ignore split damage from known units to known units.
	-- this includes soullink damage from you to your pet.
	-- thanks rophy for pointing this out.
	if victim and ( victim == playerName or roster:GetUnitIDFromName( victim ) ) then
		return
	end

	self:OnData(source, amount)
end
